Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000569Endian FirewallHardware related (kernel, drivers, hardware)public2008-02-20 17:072010-09-24 17:10
Reporterpeter-endian 
Assigned Toraphael-endian 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionfutureFixed in Version 
Summary0000569: create a kernel-xen package with 2.6.24 kernel
Descriptioncurrent kernel has no xen support.
old 2.6.18 kernel is not compatible with some of our scripts.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001016)
nicoprenzel (reporter)
2008-04-22 15:22

To facilitate the development of this feature I do want to make some suggestions:

Please consider to build two DomU-Kernels. One with PAE (Physical Address Extension) enabled and one with PAE disabled. There are some processors out that can't suffer this feature (e.g. some Intel Pentium M models, some non Intel or AMD processors). To build a non-PAE DomU Kernel set the Kernel parameter "Processor types and features -> High memory support" (CONFIG_HIGHMEM4G) to "4GB", or "off".
To run a non-PAE DomU on top of XEN you need to assure that XEN and of course the Dom0 are all compiled the same (non-PAE) way. Otherwise the DomU won't start or the XEN hypervisor or the Dom0 would crash.

- To disable PAE support of XEN. Edit Config.mk and change the following parameter to "XEN_TARGET_X86_PAE = n". Of course, that could differ to your used distribution kernel.

If you'll get any XEN-related issues feel free to contact me.

sincerely yours NicoP.
(0001048)
nicoprenzel (reporter)
2008-04-24 15:44

Two more notes:
    
- If possible move to 2.6.25 kernel. This release does contain a lot more xen-related patches.
- Which kernel sources from the, I think CentOS distribution do you plan to use? The vanilla 2.6.25 kernel doesn't support the integration of pciback/pcifront, as it havn't been integrated in this release, yet. Pherhaps the distribution you plan to use does have some pciback/pcifront support. Otherwise it wouldn't be possible to passthrough pci-devices from the Dom0 to the Endian DomU.

sincerely yours NicoP.
(0001433)
nicoprenzel (reporter)
2008-07-10 15:56

see feature request for KVM:
http://bugs.endian.it/view.php?id=1116 [^]
(0001519)
phoenix (reporter)
2008-08-11 12:12

I would agree that we need XEN support for EFW (including versions with & without PAE), I don't believe that XEN support should be removed from EFW as is mentioned in the KVM request in the link above (unless I've misunderstood it?).

So, I'll add my request that XEN kernel support is provided at the earliest opportunity for EFW.
(0001520)
nicoprenzel (reporter)
2008-08-11 14:25

The non-PAE support has been dropped from the xen package.
see here for more: http://lists.xensource.com/archives/html/xen-devel/2008-05/msg00265.html [^]
My intention was not to remove the xen-support. Rather to push the KVM incorporation. And as KVM could be more easily integrated i thought if the endian team does favor only one virtualizer then it should be KVM.
(0001521)
phoenix (reporter)
2008-08-11 16:39

Thanks for the pointer on non-PAE support, I don't need it but I'd missed that announcement

I'd rather one method of virtualisation wasn't favoured over another. I currently use the XEN kernel from neobiker as I'm not into building kernel versions. The simple answer for me is that if XEN isn't provided I won't be changing our infrastructure to use KVM it'll just mean I drop EFW and find another solution.

- Issue History
Date Modified Username Field Change
2008-02-20 17:07 peter-endian New Issue
2008-02-20 17:07 peter-endian Target Version => 2.2-rc1
2008-03-04 15:42 ra-endian Target Version 2.2-rc1 => 2.2-beta4
2008-03-04 15:49 ra-endian Target Version 2.2-beta4 => 2.2-rc1
2008-04-22 15:22 nicoprenzel Note Added: 0001016
2008-04-24 15:44 nicoprenzel Note Added: 0001048
2008-05-09 14:44 peter-endian Target Version 2.2-rc1 => 2.2
2008-07-10 15:56 nicoprenzel Note Added: 0001433
2008-07-28 12:19 peter-endian Status new => assigned
2008-07-28 12:19 peter-endian Assigned To => raphael-endian
2008-08-11 12:12 phoenix Note Added: 0001519
2008-08-11 14:25 nicoprenzel Note Added: 0001520
2008-08-11 16:39 phoenix Note Added: 0001521
2008-09-10 17:41 chris-endian Target Version 2.2 => 2.3
2008-09-10 17:53 chris-endian Target Version 2.3 => future
2010-09-24 17:10 peter-endian Status assigned => closed
2010-09-24 17:10 peter-endian Resolution open => fixed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker